Package passwdqc: Information

Source package: passwdqc
Version: 1.3.1.2-alt2.M90P.1
Build time:  Aug 10, 2021, 08:09 AM
Category: System/Base
Report package bug
License: LGPLv2+
Summary: A passphrase strength checking and policy enforcement toolset
Description: 
passwdqc is a passphrase strength checking and policy enforcement
toolset, including a PAM module (pam_passwdqc), command-line programs
(pwqcheck and pwqgen), and a library (libpasswdqc).

pam_passwdqc is normally invoked on passphrase changes by programs
such as passwd(1).  It is capable of checking password or passphrase
strength, enforcing a policy, and offering randomly-generated
passphrases, with all of these features being optional and easily
(re-)configurable.

pwqcheck and pwqgen are standalone passphrase strength checking and
random passphrase generator programs, respectively, which are usable
from scripts.

libpasswdqc is the underlying library, which may also be used from
third-party programs.

List of rpms provided by this srpm:
libpasswdqc (mipsel)
libpasswdqc-debuginfo (mipsel)
libpasswdqc-devel (mipsel)
pam0_passwdqc (mipsel)
pam0_passwdqc-debuginfo (mipsel)
passwdqc-control (noarch)
passwdqc-utils (mipsel)
passwdqc-utils-debuginfo (mipsel)

Maintainer: Oleg Solovyov

List of contributors:
Oleg Solovyov
Dmitry V. Levin

    1. libpam-devel
    2. libaudit-devel
    3. rpm-build >= 0:4.0.4-alt55

Last changed


Aug. 3, 2021 Oleg Solovyov 1.3.1.2-alt2.M90P.1
- use wordset from passwdqc 2.0.2 (no vulgar words in first 4096 entries)
March 10, 2019 Dmitry V. Levin 1.3.1.2-alt2
- libpasswdqc: replaced PreReq with more appropriate dependencies.
Aug. 24, 2018 Dmitry V. Levin 1.3.1.2-alt1
- pam_passwdqc:
  + implemented audit logging (by Oleg Solovyov and me).